Skip to content
Get Help

App API

The App API lets you view and update an existing Branch app configuration to better support workflows.

Read the App API overview

Get current Branch app configuration

GET/app/{branch_key}

This endpoint retrieves all app-related configurations for the requested branch.

Parameters

  • branch_keystringpathRequired

    The Branch Key of the originating app obtained in your Account Settings.

  • branch_secretstringqueryRequired

    The Branch Secret of the originating app obtained in your Account Settings.

Returns

Success. Returns 400 and 429 on failure — see the response panel for the error shape.

Update Branch app configuration

PUT/app/{branch_key}

Updates an existing Branch app configuration. Any parameters included in the request body are updated to the provided values.

Parameters

  • branch_keystringpathRequired

    The Branch Key of the originating app obtained in your Account Settings.

  • branch_secretstringRequired

    The Branch Secret of the originating app obtained in your Account Settings.

  • dev_emailstringRequired

    The main contact developer email (max 255 characters).

  • always_open_appenum

    Indicates whether to try to open the app on link click or not.

    01
  • android_appenum

    Whether an Android app is enabled. 0 is for disabled. 1 is for enabled.

    01
  • android_app_links_enabledenum

    Whether App Links are enabled.

    truefalse
  • android_cd_enabledboolean

    Indicates whether Content Discovery (CD) is enabled for Android.

  • android_cd_hashedstring

    Android CD hash details.

More parameters

  • android_package_namestring
  • android_tablet_urlstring
  • android_uri_schemestring
  • android_urlstring
  • app_namestring
  • auto_fetchboolean
  • blackberry_urlstring
  • creation_datestring
  • deepview_androidstring
  • deepview_configsobject
  • deepview_desktopstring
  • deepview_iosstring
  • default_desktop_urlstring
  • default_short_url_domainstring
  • desktop_uri_schemestring
  • dev_namestring
  • dev_phone_numberstring
  • esp_configobject
  • fire_urlstring
  • imei_collection_enabledboolean
  • imei_terms_and_conditionsstring
  • ios_additional_bundle_idsarray of string
  • ios_appinteger
  • ios_app_store_idstring
  • ios_app_store_id_verifiedboolean
  • ios_bundle_idstring
  • ios_bundle_settingsstring
  • ios_cd_enabledboolean
  • ios_cd_hashedstring
  • ios_store_countrystring
  • ios_team_idstring
  • ios_uri_schemestring
  • ios_urlstring
  • ipad_urlstring
  • journeys_open_appstring
  • mac_store_urlstring
  • mac_uri_schemestring
  • map_utm_paramsstring
  • og_app_idstring
  • og_descriptionstring
  • og_image_urlstring
  • og_titlestring
  • organic_search_domainsarray of string
  • originstring
  • passive_deepview_androidstring
  • passive_deepview_iosstring
  • redirect_domains_whitelistarray of string
  • reserved_analytics_to_utmstring
  • sha256_cert_fingerprintsarray of string
  • sitemap_enabledstring
  • text_messagestring
  • timezonestring
  • universal_linking_enabledstring
  • uri_redirect_modeinteger
  • web_urlstring
  • wechat_urlstring
  • windows_package_family_namestring
  • windows_phone_urlstring
  • windows_store_urlstring
  • windows_uri_schemestring

Returns

Success. Returns 400 and 429 on failure — see the response panel for the error shape.